#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tslib
Version		:	1.23
Release		:	17.2.0.rel%{?dist}
Summary		:	Touchscreen Access Library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-2.1
URL		:	https://github.com/kergoth/tslib

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	make
BuildRequires	:	SDL2
#-----------------------------------------------------------------------------
%description
The idea of tslib is to have a core library
that provides standardised services, and a set
of plugins to manage the conversion and
filtering as needed.
 
The plugins for a particular touchscreen are
loaded automatically by the library under
the control of a static configuration file, ts.conf.
ts.conf gives the library basic configuration
information.  Each line specifies one module,
and the parameters for that module.  The modules
are loaded in order, with the first one processing
 the touchscreen data

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%license COPYING
%config(noreplace) %{_sysconfdir}/ts.conf
%{_bindir}/ts_*
%{_libdir}/libts.so.0*
%{_libdir}/ts/*.so
%{_mandir}/man1/ts_*.1.gz
%{_mandir}/man3/ts_*.3.gz
%{_mandir}/man3/tslib_version.3.gz
%{_mandir}/man5/ts.conf.5.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/tslib.h
%{_libdir}/libts.so
%{_libdir}/pkgconfig/tslib.pc

#=============================================================================
%prep
%setup -q 
./autogen.sh

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--disable-static				\
	--with-sdl2					\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
